module Paths_WebBits_multiplate (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,0,0,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "C:\\Users\\EB\\AppData\\Roaming\\cabal\\bin"
libdir     = "C:\\Users\\EB\\AppData\\Roaming\\cabal\\WebBits-multiplate-0.0.0.1\\ghc-7.0.2"
datadir    = "C:\\Users\\EB\\AppData\\Roaming\\cabal\\WebBits-multiplate-0.0.0.1"
libexecdir = "C:\\Users\\EB\\AppData\\Roaming\\cabal\\WebBits-multiplate-0.0.0.1"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "WebBits_multiplate_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "WebBits_multiplate_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "WebBits_multiplate_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "WebBits_multiplate_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "\\" ++ name)
